/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.common.util.exception;

import org.openmobileis.common.util.exception.DefaultException;
import org.openmobileis.common.util.log.LogServices;

/**
	* Title:        OpenMobileIS project source
 * Title: OpenMSPException raised during SQL process
 * @author Philippe Delrieu
 * @version 1.0
 * @since JDK1.1
*/

public class SQLException extends DefaultException {

  public SQLException() {
   super();
  }

  public SQLException(int priority) {
    super(priority);
  }

  public SQLException(String msg) {
    super(msg);
  }

  public SQLException(String msg, int priority) {
    super(msg, priority);
  }

  public SQLException(String msg, Throwable t) {
    super(msg, t);
  }

  public SQLException(String msg, Throwable t, int priority) {
    super(msg, t, priority);
  }

  public SQLException(Throwable t) {
    super(t);
  }

  public SQLException(Throwable t, int priority) {
    super(t, priority);
  }

  /**
   * return  the service id : LogServices.WEBSERVICE
   * @return int LogServices.WEBSERVICE
   * @see org.openmobileis.common.util.log.LogServices
   */  
  public int getService()  {
   return LogServices.SERVERSERVICE;
  }
}
